# http://github.com/jim-easterbrook/Photini
# IPTC "controlled vocabulary" data downloaded from http://cv.iptc.org/newscodes

# ©IPTC, International Press Telecommunications Council - https://iptc.org
# Date: 2019-12-06T12:00:00+00:00
# Licence: http://creativecommons.org/licenses/by/4.0/
# http://cv.iptc.org/newscodes/imageregiontype/
image_region_types = {
'animal':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'animal'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/animal',)},
 'definition': {'en-GB': 'A living organism different from humans or flora'},
 'note': {}},
'artwork':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'artwork'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/artwork',)},
 'definition': {'en-GB': 'Artistic work'},
 'note': {}},
'dividingLine':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'dividing line'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/dividingLine',)},
 'definition': {'en-GB': 'A line expressing a visual division of the image, '
                         'such as a horizon'},
 'note': {}},
'plant':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'plant'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/plant',)},
 'definition': {'en-GB': 'A living organism different from humans and animals'},
 'note': {}},
'geoArea':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'geographic area'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/geoArea',)},
 'definition': {'en-GB': 'A named area on the surface of the planet earth'},
 'note': {'en-GB': 'Specific details of the area can be expressed by other '
                   'metadata'}},
'graphic':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'graphic'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/graphic',)},
 'definition': {'en-GB': 'A graphic representation of information'},
 'note': {}},
'machineCode':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'machine-readable code'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/machineCode',)},
 'definition': {'en-GB': 'Optical label such as barcode or QR code'},
 'note': {}},
'human':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'human'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/human',)},
 'definition': {'en-GB': 'A human being'},
 'note': {}},
'product':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'product'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/product',)},
 'definition': {'en-GB': 'A thing that was produced and can be handed over'},
 'note': {}},
'text':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'text'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/text',)},
 'definition': {'en-GB': 'Human readable script of any language'},
 'note': {}},
'building':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'building'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/building',)},
 'definition': {'en-GB': 'A structure with walls and roof in most cases'},
 'note': {}},
'vehicle':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'vehicle'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/vehicle',)},
 'definition': {'en-GB': 'An object used for transporting something, like car, '
                         'train, ship, plane or bike'},
 'note': {}},
'food':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'food'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/food',)},
 'definition': {'en-GB': 'Substances providing nutrition for a living body'},
 'note': {}},
'clothing':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'clothing'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/clothing',)},
 'definition': {'en-GB': 'Something worn to cover the body'},
 'note': {}},
'rockFormation':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'rock formation'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/rockFormation',)},
 'definition': {'en-GB': 'A special formation of stone mass'},
 'note': {}},
'bodyOfWater':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'body of water'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregiontype/bodyOfWater',)},
 'definition': {'en-GB': 'A significant accumulation of water'},
 'note': {'en-GB': 'Including a waterfall, a geyser and other phenomena of '
                   'water'}},
}
# ©IPTC, International Press Telecommunications Council - https://iptc.org
# Date: 2019-12-06T12:00:00+00:00
# Licence: http://creativecommons.org/licenses/by/4.0/
# http://cv.iptc.org/newscodes/imageregionrole/
image_region_roles = {
'cropping':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'cropping'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/cropping',)},
 'definition': {'en-GB': 'Image region can be used for any cropping'},
 'note': {}},
'recomCropping':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'recommended cropping'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/recomCropping',)},
 'definition': {'en-GB': 'Image region is recommended for cropping'},
 'note': {}},
'landscapeCropping':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'landscape format cropping'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/landscapeCropping',)},
 'definition': {'en-GB': 'Image region suggested for cropping in landscape '
                         'format'},
 'note': {'en-GB': 'Use for images of non-landscape format'}},
'portraitCropping':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'portrait format cropping'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/portraitCropping',)},
 'definition': {'en-GB': 'Image region suggested for cropping in portrait '
                         'format'},
 'note': {'en-GB': 'Use for images of non-portrait format'}},
'squareCropping':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'square format cropping'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/squareCropping',)},
 'definition': {'en-GB': 'Image region suggested for cropping in square '
                         'format'},
 'note': {}},
'compositeImageItem':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'composite image item'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/compositeImageItem',)},
 'definition': {'en-GB': 'Image region of an item in a composite image'},
 'note': {}},
'copyrightRegion':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'copyright region'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/copyrightRegion',)},
 'definition': {'en-GB': 'Image region with a copyright different from the '
                         'copyright of the whole picture'},
 'note': {}},
'subjectArea':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'subject area'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/subjectArea',)},
 'definition': {'en-GB': 'Image region contains a subject in the overall '
                         'scene.'},
 'note': {'en-GB': 'Multiple regions of an image may be set as subject area.'}},
'mainSubjectArea':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'main subject area'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/mainSubjectArea',)},
 'definition': {'en-GB': 'Image region contains the main subject in the '
                         'overall scene. Same as the Exif SubjectArea.'},
 'note': {'en-GB': 'Only a single region of an image may be set as main '
                   'subject area.'}},
'areaOfInterest':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'area of interest'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/areaOfInterest',)},
 'definition': {'en-GB': 'Image region contains a thing of special interest to '
                         'the viewer'},
 'note': {}},
'businessUse':
{'data': {'Iptc4xmpExt:Name': {'en-GB': 'business use'},
          'xmp:Identifier': ('http://cv.iptc.org/newscodes/imageregionrole/businessUse',)},
 'definition': {'en-GB': 'Image region is dedicated to a specific business '
                         'use'},
 'note': {'en-GB': 'In addition a more granular role could be expressed by a '
                   'term of a role CV of this business.'}},
}
